Index: trunk/grails-app/views/taskDetailed/workLoad.gsp
===================================================================
--- trunk/grails-app/views/taskDetailed/workLoad.gsp	(revision 836)
+++ trunk/grails-app/views/taskDetailed/workLoad.gsp	(revision 843)
@@ -66,98 +66,5 @@
             <h1>Task Results: ${tasks.size()} / ${tasks.totalCount}</h1>
 
-            <g:if test="${tasks.size() > 0}">
-                <div class="list">
-                    <table>
-                        <thead>
-                            <tr>
-
-                                <th>
-                                        <img  src="${resource(dir:'images/skin',file:'flag_red.png')}" alt="Flag" />
-                                </th>
-
-                                <th>Target Start Date</th>
-
-                                <th>Description</th>
-
-                                <th>Group</th>
-
-                                <th>Type</th>
-
-                                <th>Priority</th>
-
-                                <th>Status</th>
-
-                                <th></th>
-
-                            </tr>
-                        </thead>
-                        <tbody>
-                        <g:each in="${tasks}" status="i" var="taskInstance">
-                        <tr class="${(i % 2) == 0 ? 'clickableOdd' : 'clickableEven'}">
-
-                                <td class="idColumn" onclick='window.location = "${request.getContextPath()}/taskDetailed/show/${taskInstance.id}"'>
-                                    <g:if test="${taskInstance.attentionFlag}">
-                                        <img  src="${resource(dir:'images/skin',file:'flag_red.png')}" alt="Flag" />
-                                    </g:if>
-                                </td>
-
-                                <td onclick='window.location = "${request.getContextPath()}/taskDetailed/show/${taskInstance.id}"'>
-                                    <g:formatDate date="${taskInstance.targetStartDate}" format="EEE, dd-MMM-yyyy"/>
-                                </td>
-
-                                <td onclick='window.location = "${request.getContextPath()}/taskDetailed/show/${taskInstance.id}"'>
-                                    <b>
-                                        Task #${fieldValue(bean:taskInstance, field:'id')}<br />
-                                        ${fieldValue(bean:taskInstance, field:'description')}
-                                    </b>
-                                    <br />
-                                    <br />
-                                    <g:if test="${taskInstance.primaryAsset}">
-                                        ${fieldValue(bean:taskInstance, field:'primaryAsset')}<br />
-                                    </g:if>
-                                    <g:each in="${taskInstance.assignedGroups}" status="j" var="assignedGroup">
-                                        ${assignedGroup.encodeAsHTML()}<br />
-                                    </g:each>
-                                    <g:each in="${taskInstance.assignedPersons}" status="k" var="assignedPerson">
-                                        ${assignedPerson.encodeAsHTML()}<br />
-                                    </g:each>
-                                    <g:each in="${taskInstance.entries}" status="m" var="entry">
-                                        <g:if test="${entry.entryType.id == 3}">
-                                            <em>${'WD: ' +entry.toShortString().encodeAsHTML()}</em><br />
-                                        </g:if>
-                                    </g:each>
-                                    <g:if test="${taskInstance.subTasks}">
-                                        Sub Tasks: ${taskInstance.subTasks.size()}<br />
-                                    </g:if>
-                                </td>
-
-                                <td onclick='window.location = "${request.getContextPath()}/taskDetailed/show/${taskInstance.id}"'>
-                                    ${fieldValue(bean:taskInstance, field:'taskGroup')}
-                                </td>
-
-                                <td onclick='window.location = "${request.getContextPath()}/taskDetailed/show/${taskInstance.id}"'>
-                                    ${fieldValue(bean:taskInstance, field:'taskType')}
-                                </td>
-
-                                <td onclick='window.location = "${request.getContextPath()}/taskDetailed/show/${taskInstance.id}"'>
-                                    ${fieldValue(bean:taskInstance, field:'taskPriority')}
-                                </td>
-
-                                <td onclick='window.location = "${request.getContextPath()}/taskDetailed/show/${taskInstance.id}"'>
-                                    ${fieldValue(bean:taskInstance, field:'taskStatus')}
-                                </td>
-
-                                <td class="notClickable">
-                                    <g:link action="show" id="${taskInstance.id}">
-                                        <img  src="${resource(dir:'images/skin',file:'database_go.png')}" alt="Show" />
-                                    </g:link>
-                                </td>
-
-                            </tr>
-                        </g:each>
-                        </tbody>
-                    </table>
-                </div>
-            </g:if>
+            <g:render template="list" model="[taskInstanceList:tasks]"/>
 
             <!-- Start Search Pane -->